<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg();
err();
$set['title']='Граффити на стену';
include_once '../../sys/inc/thead.php';
title();
aut();

if (!isset($_POST['uid']) || !is_numeric($_POST['uid']))
{
header("Location: select.php");
exit;
}

$x = intval($_POST['x']);
$y = intval($_POST['y']);
$fon = htmlspecialchars(trim($_POST['fon']));
$font = htmlspecialchars(trim($_POST['font']));
$fsize = intval($_POST['fsize']);
$rgbr = intval($_POST['rgbr']);
$rgbg = intval($_POST['rgbg']);
$rgbb = intval($_POST['rgbb']);
$textx = intval($_POST['textx']);
$texty = intval($_POST['texty']);
$arrg = intval($_POST['arrg']);
$text = htmlspecialchars(trim($_POST['text']));
$pp = htmlspecialchars(trim($_POST['pp']));
$uid = intval($_POST['uid']);
$ank = get_user($uid);


$qqa = explode(' ',microtime());
$t = $qqa[1]+$qqa[0];

echo '<div class="mdlc2">
<span>Граффити на стену</span>
<br /></div>
<div class="menu">
&raquo; Получатель: ';
echo GradientText("$ank[nick]", "$ank[ncolor]", "$ank[ncolor2]");
echo ' <a href="select.php">[изм]</a><br />
&raquo; Размер изображения: '.$x.'x'.$y.' <br />
<center><img src="graffitysee.php?img='.$fon.'&amp;x='.$x.'&amp;y='.$y.'&amp;font='.$font.'&amp;fsize='.$fsize.'&amp;rgbr='.$rgbr.'&amp;rgbg='.$rgbg.'&amp;rgbb='.$rgbb.'&amp;textx='.$textx.'&amp;texty='.$texty.'&amp;arrg='.$arrg.'&amp;text='.$text.'&amp;pp='.$pp.'&amp;sh='.intval($_POST['sh']).'&amp;t='.$t.'" alt="" /></center>
<hr />
&raquo; Шаг 4.1: <br />
&raquo; Подтверждение логотипа: <br />
<form action="4.php" method="post">
<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="fon" value="'.$fon.'">
<input type="hidden" name="font" value="'.$font.'">
<input type="hidden" name="fsize" value="'.$fsize.'">
<input type="hidden" name="rgbr" value="'.$rgbr.'">
<input type="hidden" name="rgbg" value="'.$rgbg.'">
<input type="hidden" name="rgbb" value="'.$rgbb.'">
<input type="hidden" name="textx" value="'.$textx.'">
<input type="hidden" name="texty" value="'.$texty.'">
<input type="hidden" name="arrg" value="'.$arrg.'">
<input type="hidden" name="text" value="'.$text.'">
<input type="hidden" name="pp" value="'.$pp.'">
<input type="hidden" name="uid" value="'.$ank['id'].'">
<input type="hidden" name="sh" value="'.intval($_POST['sh']).'" />
<input type="hidden" name="timg" value="'.$t.'" />

<input type="submit" name="go" value="Изменить текст" class="q">
</form>
<form action="add.php" method="POST">
<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="fon" value="'.$fon.'">
<input type="hidden" name="font" value="'.$font.'">
<input type="hidden" name="fsize" value="'.$fsize.'">
<input type="hidden" name="rgbr" value="'.$rgbr.'">
<input type="hidden" name="rgbg" value="'.$rgbg.'">
<input type="hidden" name="rgbb" value="'.$rgbb.'">
<input type="hidden" name="textx" value="'.$textx.'">
<input type="hidden" name="texty" value="'.$texty.'">
<input type="hidden" name="arrg" value="'.$arrg.'">
<input type="hidden" name="text" value="'.$text.'">
<input type="hidden" name="pp" value="'.$pp.'">
<input type="hidden" name="timg" value="'.$t.'" />
<input type="hidden" name="uid" value="'.$ank['id'].'">
<input type="hidden" name="sh" value="'.intval($_POST['sh']).'" />
<input type="submit" name="go" value="Отправить" class="q">
</form>
</div>
';

echo "<div class='p_t'>&raquo; <a href='/info.php?id=$ank[id]'>На страницу $ank[nick]</a></div>";
include_once '../../sys/inc/tfoot.php';
?>